prosody-modules (0.0~hg20250402.f315edc39f3d+dfsg-2) unstable; urgency=medium

  * team upload
  * fix undefined variable in mod_host_guard (closes: #1104686)

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 07 May 2025 13:51:37 +0300

prosody-modules (0.0~hg20250402.f315edc39f3d+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_admin_web and mod_password_reset
  * drop mod_muc_restrict_pm and mod_vcard_muc (not needed with Prosody 13)

 -- Martin <debacle@debian.org>  Fri, 04 Apr 2025 00:16:14 +0000

prosody-modules (0.0~hg20250316.a1a33f0f6f6e+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * depend on prosody >= 13
  * remove mod_cloud_notify, included in prosody >= 13 itself
  * fix homepage
  * recommend lua-luaossl (for mod_cloud_notify_encrypted and
    mod_cloud_notify_extensions)
  * add mod_anti_spam, mod_dnsbl, mod_flags to block spam
  * add mod_http_oauth2, mod_adhoc_oauth2_client for OAuth2/OpenID Connect
    (OIDC) Authorization
  * add mod_pubsub_forgejo for Forgejo and other webhooks
  * remove mod_require_otr, as modern Jabber clients don't support OTR
  * add mod_rest, a RESTful API for sending and receiving stanzas

 -- Martin <debacle@debian.org>  Wed, 19 Mar 2025 23:32:17 +0000

prosody-modules (0.0~hg20250211.fe8222112cf4+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * remove mod_muc_log and mod_muc_log_http

 -- Martin <debacle@debian.org>  Tue, 11 Feb 2025 20:08:02 +0000

prosody-modules (0.0~hg20250119.82a10e21b7f9+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_proctitle (Closes: #851673)
  * add mod_muc_activity

 -- Martin <debacle@debian.org>  Sun, 19 Jan 2025 11:35:15 +0000

prosody-modules (0.0~hg20240911.c61a82f80e57+dfsg-1) unstable; urgency=medium

  * new upstream snapshot

 -- Martin <debacle@debian.org>  Wed, 11 Sep 2024 20:11:01 +0000

prosody-modules (0.0~hg20240530.1927d4d27a26+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_spam_reporting (Closes: #1072272)
  * add mod_muc_restrict_nick, mod_muc_restrict_pm, and
    mod_muc_restrict_rooms

 -- Martin <debacle@debian.org>  Fri, 31 May 2024 07:58:46 +0000

prosody-modules (0.0~hg20240511.d3a72777f149+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_muc_limits and mod_muc_restrict_avatars

 -- Martin <debacle@debian.org>  Sun, 12 May 2024 10:27:18 +0000

prosody-modules (0.0~hg20240330.70fa3f8de249+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_invites_tracking and mod_password_policy (for invites)
  * add mod_muc_search, mod_report_forward, and mod_sasl_ssdp

 -- Martin <debacle@debian.org>  Sat, 30 Mar 2024 16:49:19 +0000

prosody-modules (0.0~hg20240124.b109773ce6fe+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_pubsub_serverinfo (Closes: #1059988)
  * add mod_cloud_notify_encrypted, mod_cloud_notify_extensions,
    mod_cloud_notify_filters, and mod_cloud_notify_priority_tag
    (Closes: #1061109)

 -- Martin <debacle@debian.org>  Sat, 27 Jan 2024 23:15:15 +0000

prosody-modules (0.0~hg20231001.e5ad3f1f48bd+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_net_proxy (Closes: #1036981)

 -- Martin <debacle@debian.org>  Fri, 06 Oct 2023 13:12:13 +0000

prosody-modules (0.0~hg20230223.556bf57d6417+dfsg-1) unstable; urgency=medium

  * new upstream snapshot with multiple fixes for mod_muc_moderation and
    mod_muc_rtbl — may lead spammers a hard and joyless life!

 -- Martin <debacle@debian.org>  Fri, 24 Feb 2023 10:07:26 +0000

prosody-modules (0.0~hg20230127.8474a3b80200.+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
    - fixes misssing "is_admin" (Closes: #1029794)

 -- Martin <debacle@debian.org>  Fri, 27 Jan 2023 23:58:26 +0000

prosody-modules (0.0~hg20230116.ca7feb293d55+dfsg-1) unstable; urgency=medium

  * new upstream snapshot, and also
    - remove mod_bookmarks2 (use mod_bookmarks from prosody now)
    - remove mod_csi (in prosody now)
    - remove mod_prometheus (use mod_http_openmetrics from prosody now)
    - add mod_sasl2 modules
    - add mod_ping_muc, mod_s2s_smacks_timeout, and mod_track_muc_joins
      for MUC reliability
    - add mod_auth_oauthbearer and mod_sasl_oauthbearer for SASL
      OAUTHBEARER authentication
    - add mod_muc_rtbl and mod_pubsub_subscription for MUC real-time blocklist
    - add mod_muc_restrict_media for hiding media in MUCs
    - add mod_measure_active_users and mod_lastlog2 for daily, weekly and
      monthly active users statistics

 -- Martin <debacle@debian.org>  Wed, 18 Jan 2023 23:39:11 +0000

prosody-modules (0.0~hg20220613.59bedf167910+dfsg-1) unstable; urgency=medium

  * new upstream snapshot (Closes: #1012147)
    - remove mod_profile, use mod_vcard_legacy instead

 -- Martin <debacle@debian.org>  Mon, 13 Jun 2022 18:05:20 +0000

prosody-modules (0.0~hg20220330.b45c23ce24ba+dfsg-1) unstable; urgency=medium

  [ Martin ]
  * new upstream snapshot, compatible with prosody 0.12
    - add mod_auth_cyrus and mod_migrate_http_upload
    - remove mod_auth_ldap, mod_bookmarks, mod_invite, mod_invites,
      mod_invites_adhoc, mod_invites_register, and mod_smacks
  * add mod_http_pep_avatar (Closes: #991085)
  * remove Enrico from Uploaders (Closes: #995557)

 -- Martin <debacle@debian.org>  Wed, 30 Mar 2022 18:06:08 +0000

prosody-modules (0.0~hg20210130.dd3bfe8f182e+dfsg-2) unstable; urgency=medium

  * add mod_auth_ccert (Closes: #982151)

 -- Martin <debacle@debian.org>  Mon, 08 Feb 2021 19:30:11 +0000

prosody-modules (0.0~hg20210130.dd3bfe8f182e+dfsg-1) unstable; urgency=medium

  * new upstream snapshot (Closes: #981392)
  * add mod_invites and dependencies (Closes: #964430)

 -- Martin <debacle@debian.org>  Sun, 31 Jan 2021 22:21:48 +0000

prosody-modules (0.0~hg20200915.ed0c7044b00f+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_muc_moderation (Closes: #960350)
  * add mod_bookmarks2 (Closes: #960910)
  * add mod_watch_spam_reports (Closes: #964429)
  * add mod_adhoc_blacklist (Closes: #969969)

 -- Martin <debacle@debian.org>  Sat, 19 Sep 2020 20:34:00 +0000

prosody-modules (0.0~hg20200423.0233da912ab6+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_http_upload_external (Closes: #958644)
  * add mod_turncredentials (Closes: #958645)
  * remove obsolete patch to mod_auth_ldap.lua and mod_auth_ldap2

 -- Martin <debacle@debian.org>  Sat, 25 Apr 2020 22:03:53 +0000

prosody-modules (0.0~hg20200128.09e7e880e056+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~hg20200128.09e7e880e056+dfsg
  * add mod_net_dovecotauth (Closes: #923384)
  * update upstream fixes

 -- Victor Seva <vseva@debian.org>  Tue, 28 Jan 2020 11:09:01 +0100

prosody-modules (0.0~hg20191101.19e43b7a969d+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * removed obsolete mod_muc_mam which is provided by prosody itself now
    (Closes: #922802)
  * add mod_bookmarks (Closes: #939678)
  * add mod_onions (Closes: #922508)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 02 Nov 2019 18:59:38 +0000

prosody-modules (0.0~hg20190203.b54e98d5c4a1+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_atom (Closes: #919503)
  * add mod_prometheus (Closes: #919505)
  * add mod_pubsub_mqtt (Closes: #919502)
  * add mod_seclabels (Closes: #919501)
  * add mod_pubsub_feeds (Closes: #919510)
  * add mod_client_certs (Closes: #921477)
  * remove mod_omemo_all_access (not needed for prosody >= 0.11

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Feb 2019 10:02:53 +0000

prosody-modules (0.0~hg20181209.39ec478a752e+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_bob, mod_pubsub_text_interface,
    mod_register_web (Closes: #908610), and mod_vcard_muc
  * recommend lua-ldap instead of depending on it

 -- W. Martin Borgert <debacle@debian.org>  Sun, 09 Dec 2018 23:15:54 +0000

prosody-modules (0.0~hg20180420.902ecd6400bd+dfsg-1) unstable; urgency=medium

  [ W. Martin Borgert ]
  * new upstream snapshot (Closes: #893811)
  * set maintainer to XMPP team and change VCS to salsa
  * bump standards version and dh compat level, add R³=no
  * add mod_auth_ldap (Closes: #888768)
  * add mod_csi_battery_saver (Closes: #883191)
  * add mod_omemo_all_access (Closes: #885720)
  * remove mod_pep_plus module: not working with 0.10, according to upstream

  [ Victor Seva ]
  * debian/gbp.conf
  * add mod_muc_log[_http] (Closes: #885721)
  * fix d/copyright lintian warnings
  * update Standards-Version to 4.1.4 (no changes needed)
  * update Maintainer email due mailing list migration
  * fix privacy-breach-generic on mod_muc_log_http

 -- Victor Seva <vseva@debian.org>  Fri, 20 Apr 2018 11:15:08 +0200

prosody-modules (0.0~hg20170929.c53cc1ae4788+dfsg-3) unstable; urgency=medium

  [ W. Martin Borgert ]
  * mention mod_mam_muc in d/ch

  [ Victor Seva ]
  * add mod_http_muc_log (Closes: #882019)
  * add mod_private_adhoc (Closes: #878737)
  * add mod_privacy_lists (Closes: #878735)
  * fix vcs-field-uses-insecure-uri lintian error
  * fix wildcard-matches-nothing-in-dep5-copyright lintian error
  * lintian-overrides to remove debian-watch-file-is-missing error
  * fix priority-extra-is-replaced-by-priority-optional lintian error
  * fix scripts permissions
  * override testsuite-autopkgtest-missing lintian error

 -- Victor Seva <vseva@debian.org>  Tue, 21 Nov 2017 17:03:57 +0100

prosody-modules (0.0~hg20170929.c53cc1ae4788+dfsg-2) unstable; urgency=medium

  * re-upload to unstable for prosody >= 0.10.0
  * add mod_mam_muc (Closes: #877568)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 13 Oct 2017 19:46:55 +0000

prosody-modules (0.0~hg20170929.c53cc1ae4788+dfsg-1exp) experimental; urgency=medium

  * build for prosody 0.10 in experimental (mod_carbons and mod_mam
    already in prosody)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 01 Oct 2017 19:01:13 +0000

prosody-modules (0.0~hg20170929.c53cc1ae4788+dfsg-1) unstable; urgency=medium

  * new upstream snapshot
  * add mod_list_inactive and mod_lastlog (Closes: #875287)
  * bump standards version and dh compat level, no changes

  [ Victor Seva <vseva@debian.org>  Wed, 19 Jul 2017 18:11:17 +0200 ]
  * add mod_profile (Closes:#836022)
  * add mod_auth_dovecot (Closes:#852634)
  * add mod_delegation (Closes:#854064)
  * add mod_default_bookmarks (Closes: #862097)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 01 Oct 2017 18:32:36 +0000

prosody-modules (0.0~hg20170719.cd828b1cb5b9+dfsg-2) experimental; urgency=medium

  * remove mod_carbons (included in prosody 0.10) (closes:#869591)

 -- Victor Seva <vseva@debian.org>  Mon, 24 Jul 2017 18:35:46 +0200

prosody-modules (0.0~hg20170719.cd828b1cb5b9+dfsg-1) experimental; urgency=medium

  * New upstream version 0.0~hg20170719.cd828b1cb5b9+dfsg (closes: #863375)
  * remove mod_mam (#867678) provided by prosody 0.10+
  * add mod_profile (Closes:#836022)
  * remove duplicated modules
  * add mod_auth_dovecot (Closes:#852634)
  * add mod_delegation (Closes:#854064)
  * add mod_default_bookmarks (Closes: #862097)

 -- Victor Seva <vseva@debian.org>  Wed, 19 Jul 2017 18:11:17 +0200

prosody-modules (0.0~hg20170123.3ed504b944e5+dfsg-1) unstable; urgency=medium

  * New upstream (Closes: #850674)
  * Add mod_firewall (Closes: #852268)
  * Add mod_privilege (Closes: #835974)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 23 Jan 2017 22:13:28 +0000

prosody-modules (0.0~hg20160813.65d9093525ca+dfsg-3) unstable; urgency=medium

  * add mod_block_strangers (closes: #846096)

 -- Victor Seva <vseva@debian.org>  Mon, 28 Nov 2016 14:43:22 +0100

prosody-modules (0.0~hg20160813.65d9093525ca+dfsg-2) unstable; urgency=medium

  [ W. Martin Borgert ]
  * Forgot to add README.source

  [ Victor Seva ]
  * Add mod_blocking & mod_cloud_notify (closes: #841872)
  * Add mod_vjud (closes: #836020)
  * Add mod_invite (closes: #834352)

 -- Victor Seva <vseva@debian.org>  Fri, 25 Nov 2016 14:18:22 +0100

prosody-modules (0.0~hg20160813.65d9093525ca+dfsg-1) unstable; urgency=low

    [ Victor Seva <linuxmaniac@torreviejawireless.org> 2016-04-18 ]
  * Add stable modules (Closes: #820885).
    [ W. Martin Borgert <debacle@debian.org> 2016-08-14 ]
  * Use current upstream snapshot, without non-source files.
  * Add mobile focused modules (Closes: #826271).
  * Bump standards version, no changes.
  * Extend package description.
  * Add module READMEs.
  * Add myself to uploaders.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 14 Aug 2016 18:00:58 +0000

prosody-modules (0.0~hg20150813.12ac88940fe3-2) unstable; urgency=medium

  * Update patch on mod_HA1.  Thanks Matthew Wild.
  * Install README for mod_ldap

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 17 Aug 2015 16:09:56 +0200

prosody-modules (0.0~hg20150813.12ac88940fe3-1) unstable; urgency=medium

  * Initial release. (Closes: #719882)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 16 Aug 2015 23:06:15 +0200
